Skip to main content
POST
/
v2
/
workspace
/
email
/
status
Get Email Verification Status
curl --request POST \
  --url https://api.velt.dev/v2/workspace/email/status \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "ownerEmail": "<string>"
  }
}
'
{
  "result": {
    "status": "success",
    "message": "Email verified and workspace reactivated",
    "data": {
      "verified": true
    }
  }
}
Use this API to check whether a given email address has been verified for workspace ownership.
This is a public endpoint — no authentication headers are required.

Endpoint

POST https://api.velt.dev/v2/workspace/email/status

Body

Params

data
object
required

Example Request

{
  "data": {
    "ownerEmail": "owner@example.com"
  }
}

Example Response

Success Response (verified)

{
  "result": {
    "status": "success",
    "message": "Email verified and workspace reactivated",
    "data": {
      "verified": true
    }
  }
}

Success Response (not yet verified)

{
  "result": {
    "status": "success",
    "message": "Email not yet verified",
    "data": {
      "verified": false
    }
  }
}

Failure Response

If email is not found
{
  "error": {
    "status": "NOT_FOUND",
    "message": "Email not found."
  }
}
{
  "result": {
    "status": "success",
    "message": "Email verified and workspace reactivated",
    "data": {
      "verified": true
    }
  }
}